glab(1)

NAME
glab-runner-jobs - List jobs processed by a runner.

SYNOPSIS
glab runner jobs [flags]

DESCRIPTION
Lists jobs processed by the specified runner, including jobs that are currently running.

Requires the Maintainer or Owner role for the project.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

--order-by="id"
    Order jobs by: id.

-F, --output="text"
    Format output as: text, json.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

--sort="desc"
    Sort order: asc or desc.

--status=""
    Filter jobs by status: running, success, failed, canceled.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # List all jobs for runner 9
    glab runner jobs 9
    # List only running jobs
    glab runner jobs 9 --status running
    # List jobs as JSON
    glab runner jobs 9 --output json

SEE ALSO
glab-runner(1)